All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
backend.cpp File Reference
`#include <iostream>`
`#include "viennacl.hpp"`
`#include "viennacl_private.hpp"`

Go to the source code of this file.

## Functions

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLBackendCreate (ViennaCLBackend *backend)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLBackendSetOpenCLContextID (ViennaCLBackend backend, ViennaCLInt context_id)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLBackendDestroy (ViennaCLBackend *backend)

## Function Documentation

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLBackendCreate | ( | ViennaCLBackend * | backend | ) |

Definition at line 25 of file backend.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLBackendDestroy | ( | ViennaCLBackend * | backend | ) |

Definition at line 39 of file backend.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLBackendSetOpenCLContextID | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | context_id
| ) |  |

Definition at line 32 of file backend.cpp.